//
//  MyView.m
//  foo
//
//  Created by James Koning on 3/29/08.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import "MyView.h"

@implementation MyView

@synthesize label;

-(id)initWithFrame:(CGRect)aRect
{
   if (![super initWithFrame:aRect]) return nil;
   
   self.backgroundColor = [UIColor whiteColor];

   CGRect labelFrame = CGRectInset(aRect, 90, 90);
   
   self.label = [[UILabel alloc] initWithFrame:labelFrame];
   self.label.contentMode = UIViewContentModeRedraw;
   [self addSubview: self.label];
   [self bringSubviewToFront:self.label];
   self.label.text = @"initial value";

   return self;
}

-(void) updateDisplay:(NSString *)str
{
   self.label.text = str;
   [self.label setNeedsDisplay];
   //[self setNeedsDisplay];
   //[self.window setNeedsDisplay];
}
@end
